<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Export\Messenger;

use Chill\MainBundle\Entity\ExportGeneration;

final readonly class RemoveExportGenerationMessage
{
    public string $exportGenerationId;

    public function __construct(ExportGeneration $exportGeneration)
    {
        $this->exportGenerationId = $exportGeneration->getId()->toString();
    }
}
